commit:     dae524c222b38b33b9d584c0cd51c16774086cd2
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 18 07:15:20 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Feb 18 07:29:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dae524c2

dev-ruby/rjb: add 1.6.7

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/rjb/Manifest         |  1 +
 dev-ruby/rjb/rjb-1.6.7.ebuild | 73 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-ruby/rjb/Manifest b/dev-ruby/rjb/Manifest
index 5b0afe13abb3..f0598577ab40 100644
--- a/dev-ruby/rjb/Manifest
+++ b/dev-ruby/rjb/Manifest
@@ -1,2 +1,3 @@
 DIST rjb-1.6.5.gem 75264 BLAKE2B 
0608e3d2a70fbf909c2be454e71960ae900fadeda936677c290de1b1bfebacd43e9582dea847b3b6ca6c7294c11ff6fce409c1f59c72aea22c3fbc337ca0c590
 SHA512 
328a2b58eaf4673d5218ae7c87708c115b817f082844893c548a1fab5b544f729d6874cdba4f4fff6443e2fde2370daa8937f729b949c842461a4988033685ac
 DIST rjb-1.6.6.gem 74752 BLAKE2B 
a5dc335d9d5380b9ae6a94dabbe6c2c2db3daeffbe5a4900928ebc64eaeca07b4bb6bd1957a10639153808adb0910768b76fc733175e102824508e889690d30c
 SHA512 
6b6af001905e4b342ec54149ac5dd475c2ab240be5622e1cd8e31765ea5c273542110a75fa92e7d0e220a07689ada9d2b899b37c6840353733e59a19c8e13b1a
+DIST rjb-1.6.7.gem 74752 BLAKE2B 
835bc45b4568599e030033d9cff4d1df2da2cffd63ad594a437eeae7974d5e6f1bea490631c79f0990697f006e0006aab923134860aaf57312b153f750bda62b
 SHA512 
ae5980621900d2605372f1cb3783d213e19da7bf1a7b2834dbdb99895476ecf2dad0ee474140e2747bbd477a5ab6d4be94cc9bf4fd0b8f0109ded94d7621bb7e

diff --git a/dev-ruby/rjb/rjb-1.6.7.ebuild b/dev-ruby/rjb/rjb-1.6.7.ebuild
new file mode 100644
index 000000000000..aa1f63d005b9
--- /dev/null
+++ b/dev-ruby/rjb/rjb-1.6.7.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="readme.txt ChangeLog"
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+
+inherit java-pkg-2 ruby-fakegem
+
+DESCRIPTION="Rjb is a Ruby-Java software bridge"
+HOMEPAGE="https://github.com/arton/rjb";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples hardened"
+
+DEPEND=">=virtual/jdk-1.8
+       hardened? ( sys-apps/paxctl )"
+RDEPEND=">=virtual/jre-1.8:*"
+
+pkg_setup() {
+       ruby-ng_pkg_setup
+       java-pkg-2_pkg_setup
+}
+
+all_ruby_prepare() {
+       # The console is not available for testing.
+       sed -i -e '/test_noarg_sinvoke/,/end/ s:^:#:' test/test.rb || die
+
+       # Avoid encoding tests since not all locales may be available.
+       sed -i -e '/test_kjconv/,/^  end/ s:^:#:' test/test.rb || die
+
+       # Fix build on openjdk-11
+       sed -i -e 's#javah -classpath ../data/rjb 
jp.co.infoseek.hp.arton.rjb.RBridge#javac -h . -classpath ../data/rjb 
RBridge.java#g' ext/extconf.rb || die
+}
+
+each_ruby_prepare() {
+       #dev-lang/ruby might need the "hardened" flag to enforce the following:
+       if use hardened; then
+               paxctl -v /usr/bin/ruby 2>/dev/null | grep MPROTECT | grep 
disabled || ewarn '!!! rjb will only work if ruby is MPROTECT disabled\n  
please disable it if required using paxctl -m /usr/bin/ruby'
+       fi
+       # force compilation of class file for our JVM
+       rm -rf data
+}
+
+each_ruby_install() {
+       each_fakegem_install
+
+       if use examples; then
+               dodoc -r samples
+       fi
+}
+
+each_ruby_test() {
+       if use hardened; then
+               paxctl -v ${RUBY} 2>/dev/null | grep MPROTECT | grep -q disabled
+               if [ $? = 0 ]; then
+                       ${RUBY} -C test -I../lib:.:../ext test.rb || die
+               else
+                       ewarn "${RUBY} has MPROTECT enabled, rjb will not work 
until it is disabled, skipping tests."
+               fi
+       else
+               ${RUBY} -C test -I../lib:.:../ext test.rb || die
+       fi
+}

Reply via email to